## openmolcas 25.02

=== CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2014-2016, Steven Vancoillie                           *
#               2014-2023, Ignacio Fdez. Galván                        *
#               2015, Stefan Knecht                                    *
#               2020, Gerardo Raggi                                    *
#***********************************************************************
# Global CMakeLists.txt file for building OpenMolcas with CMake.
#
# Steven Vancoillie - Spring 2014, on a Saturday afternoon, with coffee
# Ignacio Fdez. Galván made several improvements / additions
# Gerardo Raggi - AppleClang

cmake_minimum_required (VERSION 3.12)
cmake_policy (VERSION 3.12...3.21)

project (OpenMolcas
         LANGUAGES Fortran C
         VERSION ""
)

#set (CMAKE_VERBOSE_MAKEFILE ON)

include (${PROJECT_SOURCE_DIR}/cmake/cmake_helpers.cmake)

# Prevent in-source builds
# If an in-source build is attempted, you will still need to clean up a few files manually.
set (CMAKE_DISABLE_SOURCE_CHANGES ON)
set (CMAKE_DISABLE_IN_SOURCE_BUILD ON)
get_filename_component (sourcedir "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component (binarydir "${CMAKE_BINARY_DIR}" REALPATH)
if ("${sourcedir}" STREQUAL "${binarydir}")
  message (FATAL_ERROR "In-source builds in ${CMAKE_BINARY_DIR} are not "
           "allowed, please remove ./CMakeCache.txt and ./CMakeFiles/, create a "
           "separate build directory and run cmake from there.")
endif ()

# discover some necessary tools
find_program (GIT "git")
find_program (PERL "perl")
mark_as_advanced (FORCE GIT PERL)

FIND_PACKAGE (Python COMPONENTS Interpreter)

################################################################################
#                                                                              #
# Options                                                                      #
#                                                                              #
################################################################################

# The build type, specifies the different optimization types.
if (NOT DEFINED CMAKE_BUILD_TYPE OR "${CMAKE_BUILD_TYPE}" STREQUAL "")
  set (CMAKE_BUILD_TYPE "Release" CACHE STRING
       "Type of build, options are: None (CFLAGS/FFLAGS can be used), Debug, Garble, RelWithDebInfo, Release, Fast."
       FORCE)
endif ()
set_property (CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS None Debug Garble RelWithDebInfo Release Fast)

# The place where OpenMolcas is installed with make install.
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set (CMAKE_INSTALL_PREFIX "/opt/OpenMolcas" CACHE PATH "Location where OpenMolcas will be installed." FORCE)
endif ()
set (EXTRA_INSTALL_TARGETS "")
set (EXTRA_INSTALL_DIRS "")
set (EXTRA_INSTALL_IMPORTED_LIBS "")

option (INSTALL_TESTS "Install the test files and verify script." OFF)

set (DEBUG_DEFS "${DEBUG_DEFS}" CACHE STRING "Additional user-supplied definitions.")
separate_arguments (DEBUG_DEFS)

option (BUILD_SHARED_LIBS "Build dynamically-linked libraries." OFF)
option (BUILD_STATIC_LIBS "Build statically-linked libraries too." OFF)
if (BUILD_SHARED_LIBS)
  mark_as_advanced (CLEAR BUILD_STATIC_LIBS)
else ()
  mark_as_advanced (FORCE BUILD_STATIC_LIBS)
endif ()

option (MPI "Enable MPI parallellization." OFF)
option (GA "Use Global Arrays library." OFF)

option (OPENMP "Enable multi-threading." OFF)
option (IPO "Enable interprocedural optimization (if supported)." OFF)

option (BOUNDS "Enable bounds checking (only GNU Fortran)." OFF)

option (EXPERT "Show advanced compiler flags in CMake GUI)." OFF)

option (BIGOT "Do not allow any compiler warning (treat them as errors)." OFF)

set (LINALG_OPTIONS "Choose linear algebra library, options: Internal (default), Runtime, MKL, OpenBLAS, AOCL, Accelerate, Manual.")
if (DEFINED LINALG)
  set (LINALG "${LINALG}" CACHE STRING "${LINALG_OPTIONS}")
  if (NOT ";Internal;Runtime;MKL;OpenBLAS;AOCL;Accelerate;Manual;" MATCHES ";${LINALG};")
      message (FATAL_ERROR "Unsuported LINALG: ${LINALG}")
  endif ()
else ()
  set (LINALG "Internal" CACHE STRING "${LINALG_OPTIONS}")
endif ()
set_property (CACHE LINALG PROPERTY STRINGS Internal Runtime MKL OpenBLAS AOCL Accelerate Manual)

option (CUBLAS "Enable CUDA BLAS library." OFF)
option (NVBLAS "Enable NVidia BLAS library." OFF)

set (EXTERNAL_LIBXC "" CACHE STRING "Location for an external Libxc build")

option (FDE "Enable Frozen-density-embedding (FDE) interface." OFF)
option (GROMACS "Compile Gromacs interface." OFF)
option (BLOCK "Activate BLOCK-DMRG support." OFF)
option (CHEMPS2 "Activate CheMPS2-DMRG support." OFF)
option (DICE "Activate Dice-SHCI support." OFF)

option (GPERFTOOLS "Activate gperftools CPU profiling." OFF)
option (GCOV "Activate code coverage profiling (use with Debug/-O0)." OFF)
option (HDF5 "Activate HDF5 support for wavefunction format." ON)

option (TOOLS "Compile supported tools." OFF)

option (BUILD_TESTING "Build the unit_tests." ON)

if (";Debug;Garble;" MATCHES ";${CMAKE_BUILD_TYPE};")
  add_compile_definitions (_ADDITIONAL_RUNTIME_CHECK_)
endif ()

if (";Debug;Garble;RelWithDebInfo;" MATCHES ";${CMAKE_BUILD_TYPE};" OR
    CMAKE_Fortran_COMPILER_ID STREQUAL "NAG" OR
    BIGOT)
  add_compile_definitions (_WARNING_WORKAROUND_)
endif ()

# External projects
option (DMRG     "Activate QCMaquis DMRG driver and library."                                                 OFF)
option (EFPLIB   "Enable EFPLib library for effective fragment potentials (requires External/efp submodule)." OFF)
option (GA_BUILD "Build Global Arrays."                                                                       OFF)
option (GEN1INT  "Enable Gen1Int library for 1-electron integrals."                                           OFF)
option (MolGUI   "Enable the Molcas Graphical User Interface."                                                OFF)
option (MSYM     "Activate MSYM support (requires External/libmsym submodule)."                               OFF)
option (NECI     "Activate NECI support (requires External/NECI submodule)."                                  OFF)
option (NEVPT2   "Activate (DMRG)-NEVPT2 support."                                                            OFF)
option (WFA      "Activate extended wavefunction analysis (requires External/libwfa submodule)."              OFF)

################################################################################
#                                                                              #
# Global settings                                                              #
#                                                                              #
################################################################################

# mark that we are running CMake (for subprocesses)
set (ENV{CMAKE_SESSION} "OpenMolcas")

# project name and supported languages
#=====================================
message ("Configuring compilers:")

if (WFA OR MolGUI OR DMRG)
  enable_language (CXX)
endif ()

#avoid using CXX compiler for linking
set (CMAKE_CXX_LINKER_PREFERENCE_PROPAGATES "FALSE")

add_compile_definitions (_MOLCAS_)

#set cmake module search paths
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH})

# location of molcas-extra
if (NOT DEFINED EXTRA)
  if (DEFINED ENV{EXTRA})
    set (EXTRA $ENV{EXTRA})
  else ()
    set (EXTRA "")
  endif ()
endif ()
if (NOT "${EXTRA}" STREQUAL "")
  if (NOT IS_ABSOLUTE "${EXTRA}")
    set (EXTRA "${PROJECT_BINARY_DIR}/${EXTRA}")
  endif ()
  get_filename_component (EXTRA "${EXTRA}" ABSOLUTE)
  if (NOT EXISTS "${EXTRA}")
    message (WARNING "The molcas-extra directory ${EXTRA} does not exist.")
  else ()
    FILE (STRINGS "${EXTRA}/.molcashome" DIR_TYPE)
    if ("${DIR_TYPE}" STREQUAL "molcas-extra")
      set (EXTRA_DIR ${EXTRA})
      add_compile_definitions (_HAVE_EXTRA_)
    else ()
      message (FATAL_ERROR "The directory ${EXTRA} does not contain molcas-extra.")
    endif ()
  endif ()
endif ()
set (EXTRA "${EXTRA}" CACHE PATH "Location of the molcas-extra directory." FORCE)

# possible locations for source code
set (OPENMOLCAS_DIR ${CMAKE_CURRENT_LIST_DIR})
if (NOT ${PROJECT_SOURCE_DIR} STREQUAL ${OPENMOLCAS_DIR})
  set (basedirs ${PROJECT_SOURCE_DIR})
  set (EXTRA_DIR ${PROJECT_SOURCE_DIR})
  add_compile_definitions (_HAVE_EXTRA_)
endif ()
list (APPEND basedirs ${OPENMOLCAS_DIR})
if (NOT "${EXTRA}" STREQUAL "")
  if (NOT ";${basedirs};" MATCHES ";${EXTRA};")
    list (APPEND basedirs ${EXTRA})
  endif ()
endif ()
foreach (BASE_DIR ${basedirs})
  file (GLOB source_roots_tmp RELATIVE ${PROJECT_SOURCE_DIR} "${BASE_DIR}/src*")
  list (SORT source_roots_tmp)
  list (APPEND source_roots ${source_roots_tmp})
endforeach ()
list (REVERSE basedirs)

# get version from git if available, otherwise look in .molcasversion
#====================================================================

message ("Detecting Molcas version info:")

set (ENV{MOLCAS} ${PROJECT_BINARY_DIR})
set (ENV{OPENMOLCAS} ${OPENMOLCAS_DIR})
if (DEFINED EXTRA_DIR)
  set (ENV{MOLCAS_SOURCE} ${EXTRA_DIR})
else ()
  set (ENV{MOLCAS_SOURCE} ${OPENMOLCAS_DIR})
endif ()

execute_process (
  COMMAND ${GIT} "rev-parse" "--git-dir"
  WORKING_DIRECTORY ${OPENMOLCAS_DIR}
  OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
  ERROR_VARIABLE GIT_REVPARSE_ERROR
  RESULT_VARIABLE GIT_REVPARSE_RC
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
if (GIT_REVPARSE_RC)
  set (OPENMOLCAS_GIT_REPO "${OPENMOLCAS_DIR}/.git")
else ()
  set (OPENMOLCAS_GIT_REPO "${GIT_REVPARSE_OUTPUT}")
  if (NOT IS_ABSOLUTE "${OPENMOLCAS_GIT_REPO}")
    set (OPENMOLCAS_GIT_REPO "${OPENMOLCAS_DIR}/${OPENMOLCAS_GIT_REPO}")
  endif ()
endif ()
set (MOLCAS_VERSION_FILE "${PROJECT_SOURCE_DIR}/.molcasversion")

if (DEFINED EXTRA_DIR)
  execute_process (
    COMMAND ${GIT} "rev-parse" "--git-dir"
    WORKING_DIRECTORY ${EXTRA_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    ERROR_VARIABLE GIT_REVPARSE_ERROR
    RESULT_VARIABLE GIT_REVPARSE_RC
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if (GIT_REVPARSE_RC)
    set (EXTRA_GIT_REPO "${EXTRA_DIR}/.git")
  else ()
    set (EXTRA_GIT_REPO "${GIT_REVPARSE_OUTPUT}")
    if (NOT IS_ABSOLUTE "${EXTRA_GIT_REPO}")
      set (EXTRA_GIT_REPO "${EXTRA_DIR}/${EXTRA_GIT_REPO}")
    endif ()
  endif ()
endif ()

if (EXISTS ${GIT})
  foreach (BASE_DIR ${basedirs})
    if ("${BASE_DIR}" STREQUAL "${OPENMOLCAS_DIR}")
      if (EXISTS ${OPENMOLCAS_GIT_REPO})
        set (MOLCAS_GIT_REPO ${OPENMOLCAS_GIT_REPO})
      else ()
        continue ()
      endif ()
      set (label "")
    elseif ("${BASE_DIR}" STREQUAL "${EXTRA_DIR}")
      if (EXISTS ${EXTRA_GIT_REPO})
        set (MOLCAS_GIT_REPO ${EXTRA_GIT_REPO})
      else ()
        continue ()
      endif ()
      set (label "-extra")
    endif ()
    # always set the HEAD as a source for configuring
    configure_file ("${MOLCAS_GIT_REPO}/HEAD" git-head${label} COPYONLY)
    # if it is a ref to a named branch, include the branch ref too
    file (READ "${MOLCAS_GIT_REPO}/HEAD" HEAD_STRING)
    string (STRIP "${HEAD_STRING}" HEAD_STRING)
    string (REPLACE "ref: " "" HEAD_REF "${HEAD_STRING}")
    if (EXISTS "${MOLCAS_GIT_REPO}/${HEAD_REF}")
      configure_file ("${MOLCAS_GIT_REPO}/${HEAD_REF}" git-head-ref${label} COPYONLY)
    endif ()
    # now, get the actual versions from the git describe tool

=== Tools/AugerOca/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})


if (Python_FOUND AND Python_VERSION VERSION_GREATER_EQUAL 3.6)

  foreach (prog IN ITEMS auger_main.py)
    file (READ ${CMAKE_CURRENT_LIST_DIR}/${prog} content)
    file (WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog} "#!/usr/bin/env ${Python_EXECUTABLE}\n")
    file (APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog} "${content}")
    file (COPY ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}
          DESTINATION ${EXECUTABLE_OUTPUT_PATH}
          FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
    )

    install (PROGRAMS
             ${EXECUTABLE_OUTPUT_PATH}/${prog}
             DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
    )

  endforeach (prog)

  set (AUGER_SRC ${CMAKE_CURRENT_LIST_DIR}/auger_oca)
  set (AUGER_SRC_OUTDIR ${EXECUTABLE_OUTPUT_PATH}/auger_oca)
  foreach (progs IN ITEMS auger_driver.py basis_id.py initi.py __init__.py input_parse.py mbs.py my_variables.py OCA.dat oca_integrals.py orbtransf_sz.py rt2mzz.py symm.py)
    file (READ ${AUGER_SRC}/${progs} content)
    file (WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/auger_oca/${progs} "#!/usr/bin/env ${Python_EXECUTABLE}\n")
    file (APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/auger_oca/${progs} "${content}")
    file (COPY ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/auger_oca/${progs}
          DESTINATION ${AUGER_SRC_OUTDIR}
          FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
    )

    install (PROGRAMS
             ${AUGER_SRC_OUTDIR}/${progs}
             DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}/auger_oca
    )
  endforeach (progs)

else ()

  message (WARNING "No appropriate Python interpreter found, Auger OCA will be disabled (Python >= 3.6 required)")

endif ()

=== Tools/CIsandbox/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

file (GLOB data *.DAT)

foreach (datafile ${data})
  file (COPY ${datafile} DESTINATION ${EXECUTABLE_OUTPUT_PATH})
endforeach (datafile)

file (GLOB sources *.f90)

add_executable (caspt2_mini.exe ${sources})
target_link_libraries (caspt2_mini.exe libmolcas)
target_link_libraries (caspt2_mini.exe ${EXTERNAL_LIBRARIES})

=== Tools/dynamixtools/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2015,2016,2019,2020, Ignacio Fdez. Galván              *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

if (Python_FOUND)

  foreach (prog IN ITEMS dynamixtools)
    file (READ ${CMAKE_CURRENT_LIST_DIR}/${prog}.py content)
    file (WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py "#!/usr/bin/env ${Python_EXECUTABLE}\n")
    file (APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py "${content}")
    file (COPY ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py
          DESTINATION ${EXECUTABLE_OUTPUT_PATH}
          FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
    )
    install (PROGRAMS
             ${EXECUTABLE_OUTPUT_PATH}/${prog}.py
             DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
    )
  endforeach (prog)

else ()

  message (WARNING "No appropriate Python interpreter found, dynamixtools will be disabled")

endif ()

=== Tools/job2asc/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2016,2020, Ignacio Fdez. Galván                        *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

foreach (prog IN ITEMS job2asc asc2job)
  add_executable (${prog}.exe ${prog}.f)
  target_link_libraries (${prog}.exe libmolcas)
  target_link_libraries (${prog}.exe ${EXTERNAL_LIBRARIES})
  install (PROGRAMS
           ${EXECUTABLE_OUTPUT_PATH}/${prog}.exe
           DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
  )
endforeach (prog)

=== Tools/mort/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2015,2016,2019,2020, Ignacio Fdez. Galván              *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

if (Python_FOUND AND Python_VERSION VERSION_GREATER_EQUAL 3.6)

  foreach (prog IN ITEMS mort)
    file (READ ${CMAKE_CURRENT_LIST_DIR}/${prog}.py content)
    file (WRITE ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py "#!/usr/bin/env ${Python_EXECUTABLE}\n")
    file (APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py "${content}")
    file (COPY ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${prog}.py
          DESTINATION ${EXECUTABLE_OUTPUT_PATH}
          FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
    )
    install (PROGRAMS
             ${EXECUTABLE_OUTPUT_PATH}/${prog}.py
             DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
    )
  endforeach (prog)

else ()

  message (WARNING "No appropriate Python interpreter found, mort will be disabled (Python >= 3.6 required)")

endif ()

=== Tools/rf2asc/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2016,2020, Ignacio Fdez. Galván                        *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

foreach (prog IN ITEMS rf2asc asc2rf testrf)
  add_executable (${prog}.exe ${prog}.f)
  target_link_libraries (${prog}.exe libmolcas)
  target_link_libraries (${prog}.exe ${EXTERNAL_LIBRARIES})
  install (PROGRAMS
           ${EXECUTABLE_OUTPUT_PATH}/${prog}.exe
           DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
  )
endforeach (prog)

=== src/alaska/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     main.F90
     alaska.F90
     alaska_banner.F90
     alaska_info.F90
     alaska_super_driver.F90
     annihil_rho.F90
     chk_numerical.F90
     cho_alaska_rdinp.F90
     drvdftg.F90
     drvemb_.F90
     drvembg.F90
     drvg1.F90
     drvh1_emb.F90
     drvn1.F90
     drvn1_emb.F90
     inputg.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)

=== src/alaska_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     caspt2_btamp.F90
     cmbnm2.F90
     cmbnmlt1.F90
     cmbnrf1.F90
     cmbns1.F90
     cmbnt1.F90
     cmbnw1.F90
     cosgrd.F90
     create_grads.F90
     csfgrad.F90
     drvh1.F90
     eval_g1_ijkl.F90
     finfld.F90
     grd_interface.F90
     knegrd.F90
     knemmg.F90
     m1grd.F90
     m1mmg.F90
     m2grd.F90
     m2mmg.F90
     mk_dcrs_and_stabilizers.F90
     mltgrd.F90
     mltgrdnuc.F90
     mltmmg.F90
     nagrd.F90
     nammg.F90
     oneel_g.F90
     ovrgrd.F90
     ovrmmg.F90
     pcmgrd.F90
     pcmmmg.F90
     prepre_g.F90
     prgrad.F90
     prjgrd.F90
     prjmmg.F90
     psoao1.F90
     query_grads.F90
     read_grad.F90
     rfgrd.F90
     rfmmg.F90
     screen_g.F90
     srogrd.F90
     srommg.F90
     store_grad.F90
     store_not_grad.F90
     trgrd_alaska.F90
     twoel_g.F90
     welgrd.F90
     welmmg.F90
     xfdgrd.F90
     xfdmmg.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list
     grd_interface.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/amfi_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     amfi.F90
     amfi_global.F90
     angular.F90
     buildcoul.F90
     cartonex.F90
     cartoney.F90
     cartonez.F90
     chngcont.F90
     cont.F90
     contandmult.F90
     contcasaoo.F90
     contcasaso.F90
     contcasb1oo.F90
     contcasb1so.F90
     contcasb2oo.F90
     contcasb2so.F90
     contcascoo.F90
     contcascso.F90
     contone.F90
     contract.F90
     couple3j.F90
     daxpint.F90
     drv_amfi.F90
     finite.F90
     gen1overr3.F90
     gencoul.F90
     gencouldim.F90
     genovlp.F90
     genpowers.F90
     genprexyz13.F90
     genprexyz14.F90
     genprexyz15a.F90
     gentkin.F90
     getaos.F90
     getaos2.F90
     getcg.F90
     getlimit.F90
     getocc_ao.F90
     inidf.F90
     initfrac.F90
     initired.F90
     kindiag.F90
     kinemat.F90
     lmdepang.F90
     mcheckxy.F90
     mcheckz.F90
     mkangl0.F90
     mkanglmin.F90
     prefac.F90
     readbas.F90
     regge3j.F90
     symtrafo.F90
     tkinet.F90
     tosigx.F90
     tosigy.F90
     tosigz.F90
     trans_amfi.F90
     transcon.F90
     two2mean12a.F90
     two2mean12b.F90
     two2mean13.F90
     two2mean34a.F90
     two2mean34b.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/aniso_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     abc_axes.F90
     atens.F90
     barrier.F90
     calcmagn1.F90
     calcmagn2.F90
     cart2tensor.F90
     cart2tensor_minus.F90
     cdet.F90
     chi.F90
     complex_1_trace2.F90
     decomp_aniso.F90
     dev.F90
     diag_c2.F90
     diag_r2.F90
     dmatrix.F90
     finddetr.F90
     g_high.F90
     g_high_1.F90
     generate_isotrop_site.F90
     hdir.F90
     hdir2.F90
     io_data.F90
     jkqpar.F90
     magn.F90
     magn_no_mf.F90
     magn_zj_par.F90
     mean_field.F90
     mean_field_all.F90
     mean_field_exch.F90
     moments.F90
     mu_order.F90
     newjkqpar.F90
     norder.F90
     operators.F90
     pa_pseudo.F90
     pa_sort.F90
     plot_barrier.F90
     plot_mh_no_exp.F90
     plot_mh_with_exp.F90
     plot_xt_no_exp.F90
     plot_xt_with_exp.F90
     prbar.F90
     pseudospin.F90
     read_aniso_old_exch.F90
     read_binary_aniso.F90
     read_formatted_aniso.F90
     read_formatted_aniso_old.F90
     read_formatted_aniso_poly.F90
     read_formatted_aniso_poly_new.F90
     read_formatted_new_aniso.F90
     read_hdf5_all.F90
     read_hdf5_init.F90
     read_hdf5_poly.F90
     real_1_trace2.F90
     recover_exch_ham_from_liviu_ito.F90
     recover_exch_ham_from_naoya_ito.F90
     recover_exch_ham_from_stevens_eso.F90
     reverse.F90
     rotmom.F90
     rotmom2.F90
     rtrace.F90
     set_an.F90
     set_knm.F90
     set_nm.F90
     set_t.F90
     spin.F90
     spin_phase.F90
     spin_phase2.F90
     tensor2cart.F90
     tensor2cart_minus.F90
     trace.F90
     trace2.F90
     trace_exch.F90
     trace_exch2.F90
     transham.F90
     utils.F90
     utmu.F90
     utmu2.F90
     utmul.F90
     write_binary_aniso.F90
     write_formatted_aniso.F90
     write_formatted_aniso_poly.F90
     write_new_formatted_aniso.F90
     zeem_sa.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/averd/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     main.F90
     averd.F90
     averd_global.F90
     get_averd_input.F90
     init_ave.F90
     print_input.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)

=== debian/changelog ===
openmolcas (25.02-2) unstable; urgency=medium

  * debian/tests/testsuite.sh: Remove flaky test 016.
  * debian/control (Build-Depends, openmolcas/Depends): Removed python3-six
    (Closes: #1070363).

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2025 17:58:56 +0200

openmolcas (25.02-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/install_locations.patch: Refreshed.
  * debian/patches/python_interpreter.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 21:22:49 +0100

=== debian/control ===
Source: openmolcas
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               gfortran,
               libhdf5-dev,
               libopenblas64-openmp-dev,
               libjs-jquery,
               libjs-underscore,
               libxc-dev (>= 5.2.2),
               python3-pyparsing,
               python3-sphinx,
               python3-sphinxcontrib.bibtex
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://gitlab.com/Molcas/OpenMolcas
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debichem-team/openmolcas
Vcs-Git: https://salsa.debian.org/debichem-team/openmolcas.git

Package: openmolcas
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         openmolcas-data (= ${source:Version}),
         python3,
         python3-lxml,
         python3-pyparsing
Description: Quantum chemistry software package
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.
 .
 It can compute energies, gradients and hessians for the following methods:
  * Hartree-Fock SCF (HF)
  * Complete active space SCF (CASSCF)
 .
 It can compute energies and gradients for the following methods:
  * Hartree-Fock (HF)
  * Density-Functional Theory (DFT)
  * Second-order Moeller-Plesset perturbation theory (MP2)
  * Complete and restricted active space SCF (CASSCF/RASSCF)
 .
 Additionally, it can compute energies for the following methods:
  * Closed shell Moeller-Plesset perturbation theory (MP2)
  * Complete active space second order perturbation theory (CASPT2)
  * Coupled-cluster singles doubles (CCSD), optionally wihth
    Cholesky-Decomposition (CD)/Resolution-of-the Identity (RI)
  * CD/RI Coupled-cluster singles doubles with perturbative
    triples (CCSD(T))
  * Density Matrix Renormalization Group SCF (DMRG-SCF)

Package: openmolcas-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quantum chemistry software package (data files)
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.
 .
 This package contains data files.

=== debian/tests/control ===
Depends: @
Tests: testsuite.sh
Architecture: !s390x
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/Molcas/OpenMolcas/tags?sort=updated_desc -/archive/v?\d[\d.]+/OpenMolcas-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
